Go to the first, previous, next, last section, table of contents.

### `delete_history`

`delete_history([index])`
  :: Deletes the history.

return
  0
index
  Index of history to be deleted.

- Deletes all the histories without an argument.
- Deletes the history with index index if specified.
- A history is an expression which has been obtained by evaluating an input given for a prompt with an index. It can be taken out by `@index`, which means that the expression survives garbage collections.
- A large history may do harm in the subsequent memory management and deleting the history by `delete_history()`, after saving it in a file by `bsave()`, is often effective.

    [0] (x+y+z)^100$
    [1] @0;
    ...
    [2] delete_history(0);
    [3] @0;
    0

Go to the first, previous, next, last section, table of contents.